## ev-link

ev-link

## Synopsis

                        EvLink;
                        EvLinkClass;
    EvLink *            ev_link_new                         (const gchar *title,
                                                             EvLinkAction *action);
    const gchar *       ev_link_get_title                   (EvLink *self);
    EvLinkAction *      ev_link_get_action                  (EvLink *self);

## Object Hierarchy

      GObject
       +----EvLink

## Properties

      "action"                   EvLinkAction*         : Read / Write / Construct Only
      "title"                    gchar*                : Read / Write / Construct Only

## Description

## Details

### EvLink

    typedef struct _EvLink EvLink;

### EvLinkClass

    typedef struct _EvLinkClass EvLinkClass;

### ev_link_new ()

    EvLink *            ev_link_new                         (const gchar *title,
                                                             EvLinkAction *action);

### ev_link_get_title ()

    const gchar *       ev_link_get_title                   (EvLink *self);

### ev_link_get_action ()

    EvLinkAction *      ev_link_get_action                  (EvLink *self);

`self` : | an EvLink
Returns : | an EvLinkAction. [transfer none]

## Property Details

### The `"action"` property

      "action"                   EvLinkAction*         : Read / Write / Construct Only

The link action.

### The `"title"` property

      "title"                    gchar*                : Read / Write / Construct Only

The link title.

Default value: NULL